/* vim: set sw=3 ts=3 sts=3 expandtab: */
#ifndef ECDB_DRIVES_H
#define ECDB_DRIVES_H

int    ecdb_aquire_drive_info(E_Hal_Device_Get_All_Properties_Return *ret,
                                 char *mnt, char *udi);
int    ecdb_update_drive_info(Ecdb_Drive_Info *drive,
                                 E_Hal_Device_Get_All_Properties_Return *ret);
void   ecdb_print_drive_info(void);
int    ecdb_aquire_drive(Ecdb_Project *proj);
int    ecdb_set_project_drive(Ecdb_Project *proj, unsigned int idx);
void   ecdb_drive_info_list_free(Eina_List *list);

#endif
